Package net.sourceforge.jiu.color.promotion

# Class PromotionPaletted8

java.lang.Object
net.sourceforge.jiu.ops.Operation
net.sourceforge.jiu.ops.ImageToImageOperation
net.sourceforge.jiu.color.promotion.PromotionPaletted8

public class PromotionPaletted8 extends ImageToImageOperation
Converts `BilevelImage` and `Gray8Image` objects to `Paletted8Image` objects. This lossless operation will only lead to an output image that holds the input image in a way that demands more memory.

Since:
  0.8.0
Author:
  Marco Schmidt

## Constructor Summary

Constructors
Constructor
Description
`PromotionPaletted8()`

## Method Summary

Modifier and Type
Method
Description
`private void`
`prepare(PixelImage in)`
`void`
`process()`
This method does the actual work of the operation.
`private void`
`process(BilevelImage in, Paletted8Image out)`
`private void`
`process(Gray8Image in, Paletted8Image out)`

### Methods inherited from class net.sourceforge.jiu.ops.ImageToImageOperation

`canInputAndOutputBeEqual, ensureImagesHaveSameResolution, ensureInputImageIsAvailable, ensureOutputImageResolution, getInputImage, getOutputImage, setCanInputAndOutputBeEqual, setInputImage, setOutputImage`

### Methods inherited from class net.sourceforge.jiu.ops.Operation

`addProgressListener, addProgressListeners, getAbort, removeProgressListener, setAbort, setProgress, setProgress`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PromotionPaletted8

public PromotionPaletted8()

## Method Details

### prepare

private void prepare(PixelImage in) throws MissingParameterException, WrongParameterException

Throws:
  `MissingParameterException`
  `WrongParameterException`

### process

private void process(BilevelImage in, Paletted8Image out)

### process

private void process(Gray8Image in, Paletted8Image out)

### process

public void process() throws MissingParameterException, WrongParameterException
Description copied from class: `Operation`
This method does the actual work of the operation. It must be called after all parameters have been given to the operation object.

Overrides:
  `process` in class `Operation`
Throws:
  `MissingParameterException` - if any mandatory parameter was not given to the operation
  `WrongParameterException` - if at least one of the input parameters was not initialized appropriately (values out of the valid interval, etc.)